View a markdown version of this page

GetCaptureData - AWS IoT SiteWise

GetCaptureData

Retrieves video data for a specific time range.

Request Syntax

POST /workspaces/workspaceName/get-capture-data HTTP/1.1 Content-type: application/json { "endTime": { "offsetInNanos": number, "timeInSeconds": number }, "formatSettings": { "framesPerSecond": number, "heightInPixels": number, "widthInPixels": number }, "nextToken": "string", "propertyAlias": "string", "startTime": { "offsetInNanos": number, "timeInSeconds": number }, "timeSeriesId": "string" }

URI Request Parameters

The request uses the following URI parameters.

workspaceName

The name of the workspace that contains the capture source.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request accepts the following data in JSON format.

endTime

The end time for the video data range. Must be greater than startTime.

Type: TimeInNanos object

Required: Yes

formatSettings

The optional format settings for the output.

Type: FormatSettings object

Required: No

nextToken

The token from a previous response used to continue retrieving data.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Required: No

propertyAlias

The property alias that identifies the capture source. Mutually exclusive with timeSeriesId.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: [^\u0000-\u001F\u007F]+

Required: No

startTime

The start time for the video data range.

Type: TimeInNanos object

Required: Yes

timeSeriesId

The time series ID that identifies the capture source. Mutually exclusive with propertyAlias.

Type: String

Length Constraints: Minimum length of 36. Maximum length of 73.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "data": blob, "dataType": "string", "endTime": { "offsetInNanos": number, "timeInSeconds": number }, "nextToken": "string", "startTime": { "offsetInNanos": number, "timeInSeconds": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

data

The binary video data.

Type: Base64-encoded binary data object

dataType

The type of the returned data.

Type: String

Valid Values: VIDEO-MP4

endTime

The actual end time of the returned data.

Type: TimeInNanos object

nextToken

The token used to retrieve the next chunk. Absent if no more data is available.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

startTime

The actual start time of the returned data.

Type: TimeInNanos object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: